Skip to main content
`Ctrl`+`K`

# PCISScatterArrayNToVecB

Scatters interface node values from a big array (of all local nodes, interior or interface, including ghosts) into an interface vector, when in `SCATTER_FORWARD` mode, or vice-versa, when in `SCATTER_REVERSE` mode.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISScatterArrayNToVecB(PC pc, PetscScalar *array_N, Vec v_B, InsertMode imode, ScatterMode smode)

## Input Parameters

- pc - preconditioner context

- array_N - [when in `SCATTER_FORWARD` mode] Array to be scattered into the vector otherwise output array

- imode - insert mode, `ADD_VALUES` or `INSERT_VALUES`

- smode - scatter mode, `SCATTER_FORWARD` or `SCATTER_REVERSE` mode]

- v_B - [when in `SCATTER_REVERSE` mode] Vector to be scattered into the array, otherwise output vector

## Note

The entries in the array that do not correspond to interface nodes remain unaltered.

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCNN`, `PCISSetUseStiffnessScaling()`, `PCISSetSubdomainDiagonalScaling()`, `PCISSetSubdomainScalingFactor()`, `PCISApplySchur()`, `PCISApplyInvSchur()`, `PCISReset()`, `PCISInitialize()`, `InsertMode`

## Level

advanced

## Location

src/ksp/pc/impls/is/pcis.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages